package com.atlassian.stash.internal.user;

import javax.annotation.Nonnull;

/**
 * @since 2.12
 */
public interface InternalStashUserVisitor<T> {

    T visit(@Nonnull InternalNormalUser user);

    T visit(@Nonnull InternalServiceUser user);

}
